%define config_opts --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir} --bindir=%{_bindir} --includedir=%{_includedir} --datadir=%{_datadir} --disable-more-warnings --with-ssl --with-gss --with-gtkspell

Name:           balsa
Version:        2.3.20
Release:        1%{?dist}
Summary:        Mail Client

Group:          Applications/Internet
License:        GPL
URL:            http://balsa.gnome.org/
Source0:        http://balsa.gnome.org/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: libesmtp >= 1.0.4
Requires: scrollkeeper
BuildRequires: aspell-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gmime-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: gtk2-devel
BuildRequires: gtkhtml2-devel
BuildRequires: gtkspell-devel
BuildRequires: intltool
BuildRequires: libesmtp-devel >= 1.0.4
BuildRequires: libgnome-devel
BuildRequires: libgnomeprint22-devel
BuildRequires: libgnomeprintui22-devel
BuildRequires: libgnomeui-devel
BuildRequires: libnotify-devel
BuildRequires: openssl-devel
BuildRequires: scrollkeeper

%description
Balsa is a GNOME email client which supports mbox, maildir, and mh
local mailboxes, and IMAP4 and POP3 remote mailboxes. Email can be
sent via sendmail or SMTP. Optional multithreading support allows for
non-intrusive retrieval and sending of mail. A finished GUI similar to
that of the Eudora email client supports viewing images inline, saving
message parts, viewing headers, adding attachments, moving messages,
and printing messages.

%prep
%setup -q

%build

%configure %{config_opts}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

desktop-file-install $RPM_BUILD_ROOT%{_datadir}/applications/balsa.desktop \
        --vendor=fedora \
        --add-category=X-Fedora \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        --copy-name-to-generic-name \
        --delete-original
%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

/bin/touch --no-create %{_datadir}/icons/hicolor
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%{_bindir}/balsa
%{_bindir}/balsa-ab
%{_libdir}/bonobo/servers/GNOME_Balsa.server
%{_datadir}/applications/*.desktop
%{_datadir}/balsa/
%{_datadir}/gnome/help/balsa/
%{_datadir}/icons/hicolor/*
%{_datadir}/idl/Balsa.idl
%{_datadir}/omf/balsa/
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/sounds/balsa/
%{_mandir}/man1/balsa.1*
%config(noreplace) %{_sysconfdir}/sound/events/balsa.soundlist


%changelog
* Fri Sep  7 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.20-1
- update to upstream 2.3.20, fix #474366.

* Wed Jul  4 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.17-1
- update to upstream 2.3.17.

* Tue Jun 12 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.16-2
- Add libnotify buildreq.

* Mon Jun 11 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.16-1
- Update to upstream 2.3.16.

* Sun Jan  7 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.14-1
- update to upstream version 2.3.14.

* Mon Sep 11 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.13-2
- rebuild for FC6.

* Mon Jun 26 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.13-1
- update to upstream version 2.3.13.

* Tue Jun  6 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.12-2
- add gettext as an explicit buildreq (#194245).

* Sat Mar  4 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.12-1
- update to upstream version 2.3.12.

* Wed Mar  1 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.11-1
- update to upstream version 2.3.11.

* Sun Jan 29 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.10-1
- update to upstream 2.3.10

* Sat Jan  7 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.9-1
- update to 2.3.9.

